declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    statusClassNames: {
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    };
    refSlider: import("@vue/composition-api").Ref<HTMLElement>;
    degree: import("@vue/composition-api").Ref<number>;
    selectedId: import("@vue/composition-api").Ref<string>;
    colors: import("@vue/composition-api").Ref<{
        id?: string;
        color?: string;
        left?: number;
    }[]>;
    colorInstance: import("@vue/composition-api").ComputedRef<import("@ldesign/utils/es/color-picker/color").Color>;
    handleDegreeChange: (value: number) => void;
    handleStart: (id: string, e: MouseEvent) => void;
    handleMove: (e: MouseEvent) => void;
    handleEnd: () => void;
    handleKeyup: (e: KeyboardEvent) => void;
    handleThumbBarClick: (e: MouseEvent) => void;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("@ldesign/utils/es/color-picker/color").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("..").TypeColorHandler>;
        default: () => () => void;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("@ldesign/utils/es/color-picker/color").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("..").TypeColorHandler>;
        default: () => () => void;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    handleChange: import("..").TypeColorHandler;
} & {
    color?: import("@ldesign/utils/es/color-picker/color").Color;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    statusClassNames: {
        loading: string;
        loadMore: string;
        disabled: string;
        focused: string;
        success: string;
        error: string;
        warning: string;
        selected: string;
        active: string;
        checked: string;
        current: string;
        hidden: string;
        visible: string;
        expanded: string;
        indeterminate: string;
    };
    refSlider: import("@vue/composition-api").Ref<HTMLElement>;
    degree: import("@vue/composition-api").Ref<number>;
    selectedId: import("@vue/composition-api").Ref<string>;
    colors: import("@vue/composition-api").Ref<{
        id?: string;
        color?: string;
        left?: number;
    }[]>;
    colorInstance: import("@vue/composition-api").ComputedRef<import("@ldesign/utils/es/color-picker/color").Color>;
    handleDegreeChange: (value: number) => void;
    handleStart: (id: string, e: MouseEvent) => void;
    handleMove: (e: MouseEvent) => void;
    handleEnd: () => void;
    handleKeyup: (e: KeyboardEvent) => void;
    handleThumbBarClick: (e: MouseEvent) => void;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    disabled: boolean;
    handleChange: import("..").TypeColorHandler;
} & {
    color?: import("@ldesign/utils/es/color-picker/color").Color;
}, {
    disabled: boolean;
    handleChange: import("..").TypeColorHandler;
}, true>);
export default _default;
